summaryrefslogtreecommitdiff
path: root/support/shlatex/en/uninstall
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
committerNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
commite0c6872cf40896c7be36b11dcc744620f10adf1d (patch)
tree60335e10d2f4354b0674ec22d7b53f0f8abee672 /support/shlatex/en/uninstall
Initial commit
Diffstat (limited to 'support/shlatex/en/uninstall')
-rw-r--r--support/shlatex/en/uninstall38
1 files changed, 38 insertions, 0 deletions
diff --git a/support/shlatex/en/uninstall b/support/shlatex/en/uninstall
new file mode 100644
index 0000000000..f6e5565389
--- /dev/null
+++ b/support/shlatex/en/uninstall
@@ -0,0 +1,38 @@
+#!/bin/bash
+# Uninstall script for ShLaTeX
+# Warning : you must be root to run this script !
+
+user=`whoami`;
+version="1.2b-en";
+cheminMan="/usr/share/man/man1";
+cheminExec="/usr/bin";
+cheminScript="/usr/share";
+
+if [ ! $user == "root" ]
+then
+ echo "> Error : you must be 'root' to run this script";
+ echo " See the README.TXT file for further details.";
+ exit 1;
+fi
+
+if [ ! -d "$cheminScript/shlatex-$version" ]
+then
+ echo "> Warning : the script ShLaTeX-$version doesn't seem to be installed !";
+fi
+
+echo -ne "\n> Uninstall in progress...\n"
+cd /
+
+rm -f "$cheminExec/ShLaTeX-$version"
+rm -f "$cheminMan/shlatex.1.bz2"
+rm -fr "$cheminScript/shlatex-$version"
+if [ "`ls $cheminScript | grep "^shlatex-"`" == "" ]
+then
+ rm -f "$cheminExec/tex8to7"
+ rm -f "$cheminExec/ShLaTeX"
+else
+ echo "> Warning : another version of ShLaTeX seems to be present"
+ echo " The program tex8to7 hasn't been removed."
+fi
+echo -ne "> Done.\n\n"
+cd -